'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toEventBridgeRecord = exports.fromEventBridge = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _highland = require('highland');

var _highland2 = _interopRequireDefault(_highland);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const fromEventBridge = exports.fromEventBridge = event => (0, _highland2.default)([{
  // create a unit-of-work for the single event
  // create a stream to work with the rest of the framework
  record: event
}]).map((0, _utils.faulty)(uow => _extends({}, uow, {
  event: _extends({
    id: uow.record.detail.id || uow.record.id
  }, JSON.parse(uow.record.detail))
})));

// test helper
const toEventBridgeRecord = exports.toEventBridgeRecord = event => ({
  'version': '0',
  'id': '0',
  'source': 'test',
  // 'account': '0123456789012',
  // 'time': '2020-03-30T08:26:41Z',
  'region': 'us-west-1',
  // 'resources': [],
  'detail-type': event.type,
  'detail': JSON.stringify(event)
});