'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.envTags = exports.adornStandardTags = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _filters = require('../filters');

const adornStandardTags = exports.adornStandardTags = eventField => uow => _extends({}, uow, {
  event: _extends({}, uow[eventField], {
    tags: _extends({}, envTags(uow.pipeline), (0, _filters.skipTag)(), uow[eventField].tags)
  })
});

const envTags = exports.envTags = pipeline => ({
  account: process.env.ACCOUNT_NAME || 'undefined',
  region: process.env.AWS_REGION || /* istanbul ignore next */'undefined',
  stage: process.env.SERVERLESS_STAGE || 'undefined',
  source: process.env.SERVERLESS_PROJECT || 'undefined',
  functionname: process.env.AWS_LAMBDA_FUNCTION_NAME || 'undefined',
  pipeline: pipeline || 'undefined'
});