'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toGroupUows = exports.unBatchUow = exports.toBatchUow = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _highland = require('highland');

var _highland2 = _interopRequireDefault(_highland);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// used after highland batch step
const toBatchUow = exports.toBatchUow = batch => ({ batch });

// use with flatMap
const unBatchUow = uow => {
  const { batch } = uow,
        outerUowMinusBatch = _objectWithoutProperties(uow, ['batch']);
  return batch.map(innerUowFromBatch => _extends({}, innerUowFromBatch, outerUowMinusBatch));
};

// use with flatMap after highland group step
exports.unBatchUow = unBatchUow;
const toGroupUows = /* istanbul ignore next */exports.toGroupUows = groups => (0, _highland2.default)(Object.keys(groups).map(key => ({ batch: groups[key] })));