'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const debug = exports.debug = require('debug'); // eslint-disable-line global-require

const printStartPipeline = exports.printStartPipeline = uow => {
  printStart(uow.debug)(uow);
};

const printEndPipeline = exports.printEndPipeline = uow => {
  printEnd(uow.debug)(uow);
};

const printStart = exports.printStart = dbug => uow => {
  dbug('start type: %s, eid: %s', uow.event.type, uow.event.id);
};

const printEnd = exports.printEnd = dbug => uow => {
  dbug('end type: %s, eid: %s, uow: %j', uow.event.type, uow.event.id, uow);
};